- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libetonyek::KEYObject Class Referenceabstract

An interface for saved presentation objects. More...

`#include <KEYObject.h>`

## Public Member Functions
virtual | ~KEYObject ()=0
virtual void | draw (const KEYOutput &output)=0
| Draw the object using `output` as context. More...

## Detailed Description

An interface for saved presentation objects.

All objects on a slide's layer are collected into a list and then painted in one sweep when the layer is finished. The collected objects implement this interface.

Note
  This is really only necessary for master pages' objects, but it is convenient to use the same mechanism for processing regular slides too.

## Constructor & Destructor Documentation

libetonyek::KEYObject::~KEYObject | ( |  | ) |
| pure virtual

## Member Function Documentation

virtual void libetonyek::KEYObject::draw | ( | const KEYOutput & | output | ) |
| pure virtual

Draw the object using `output` as context.

- [in] output the output to use

Referenced by libetonyek::drawAll().

The documentation for this class was generated from the following files:

- KEYObject.h
- KEYObject.cpp